/*
 * Payment 组件对应的路由抽象接口
 */
abstract class PaymentService {

  void startPaymentPage();

  void startChooseCardPage();

  void startAddCardPage();

  void startWithPopOfflinePaymentPage(String? popTargetRouter);

  Future<bool> executePayment({
    required String orderId,
  });
}
